<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Document</title>
    
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
</head>
<body>
    <h1>itunes</h1>
    <p>buscar</p>
    <form action="">
        <input type="text" class="term" placeholder="term">
        <input type="text" class="limit" placeholder="limit">
        <!--input type="text" class="entity" placeholder="entity"-->
        <input type="submit" value="buscar">
    </form>
    
    <div class="container">
        <div class="row">
            
        </div>
    </div>
    
    
    <script src="js/jquery-3.3.1.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js" integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js" integrity="sha384-ChfqqxuZUCnJSK3+MXmPNIyE6ZbWh2IMqE241rYiqJxyMiZ6OW/JmZQ5stwEULTy" crossorigin="anonymous"></script>
    
    
    <script>
        
        $('form').submit(buscar__itunes)
        
        function buscar__itunes(event){
            event.preventDefault();
            var url='http://www.apple.com/itunes/search?term='//jack+johnson&entity=album&limit=25'
            
            var term=$('.term').val();
            var limit=$('.limit').val();
           // var entity=$('.entity').val();
            
            $.ajax(url + term + '&limit='+limit)
            
            .done(mostrar__itunes)
            
            .catch(mostrarError)
        }
        

        function mostrar__itunes(res){
            console.log('llamada HTTP correcta',res);
            $('.row').empty();
            
            res.cards.forEach(function(pista){
                    var nom="<div>"+pista.results.wrapperType +"/>"
                    $('.row').append(nom);
                })

        }
        
        
        function mostrarError(error){
            alert('a ocurrido un error en la llamada');
            console.log('Error n la llamada',error);
        }
        
        
 
    </script>
    
</body>
</html>